clang 10.0.0git

Public Member Functions | List of all members
clang::CFGBlock::FilteredCFGBlockIterator< IMPL, IsPred > Class Template Reference

`#include "clang/Analysis/CFG.h"`

## Public Member Functions
| FilteredCFGBlockIterator (const IMPL &i, const IMPL &e, const CFGBlock *from, const FilterOptions &f)
bool | hasMore () const
FilteredCFGBlockIterator & | operator++ ()
const CFGBlock * | operator* () const

## Detailed Description

### template<typename IMPL, bool IsPred>
class clang::CFGBlock::FilteredCFGBlockIterator< IMPL, IsPred >

Definition at line 994 of file CFG.h.

## Constructor & Destructor Documentation

## ◆ FilteredCFGBlockIterator()

template<typename IMPL , bool IsPred>

clang::CFGBlock::FilteredCFGBlockIterator< IMPL, IsPred >::FilteredCFGBlockIterator | ( | const IMPL & | i,
|  | const IMPL & | e,
|  | const CFGBlock * | from,
|  | const FilterOptions & | f
| ) |  |
| inline explicit

Definition at line 1001 of file CFG.h.

References clang::tooling::Filter.

## Member Function Documentation

## ◆ hasMore()

template<typename IMPL , bool IsPred>

bool clang::CFGBlock::FilteredCFGBlockIterator< IMPL, IsPred >::hasMore | ( |  | ) | const
| inline

Definition at line 1009 of file CFG.h.

Referenced by CheckFallThrough().

## ◆ operator*()

template<typename IMPL , bool IsPred>

const CFGBlock* clang::CFGBlock::FilteredCFGBlockIterator< IMPL, IsPred >::operator* | ( |  | ) | const
| inline

Definition at line 1016 of file CFG.h.

References clang::tooling::Filter.

## ◆ operator++()

template<typename IMPL , bool IsPred>

FilteredCFGBlockIterator& clang::CFGBlock::FilteredCFGBlockIterator< IMPL, IsPred >::operator++ | ( |  | ) |
| inline

Definition at line 1011 of file CFG.h.

References clang::tooling::Filter.

The documentation for this class was generated from the following file:

- include/clang/Analysis/CFG.h